net.sf.jasperreports.components.spiderchart.type

## Enum SpiderRotationEnum

- java.lang.Object
- - java.lang.Enum<SpiderRotationEnum>
  - - net.sf.jasperreports.components.spiderchart.type.SpiderRotationEnum

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<SpiderRotationEnum>, JREnum, NamedEnum

      public enum SpiderRotationEnum
      extends java.lang.Enum<SpiderRotationEnum>
      implements JREnum

  Version:
    $Id: SpiderRotationEnum.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    sanda zaharia (shertage@users.sourceforge.net)

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ANTICLOCKWISE`
    `CLOCKWISE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SpiderRotationEnum` | `getByName(java.lang.String name)`
    `static SpiderRotationEnum` | `getByValue(org.jfree.util.Rotation rotation)`
    `java.lang.String` | `getName()`
    `org.jfree.util.Rotation` | `getRotation()`
    `byte` | `getValue()`
    `java.lang.Byte` | `getValueByte()`
    `static SpiderRotationEnum` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static SpiderRotationEnum[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CLOCKWISE

          public static final SpiderRotationEnum CLOCKWISE

    - #### ANTICLOCKWISE

          public static final SpiderRotationEnum ANTICLOCKWISE

  - ### Method Detail

    - #### values

          public static SpiderRotationEnum[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SpiderRotationEnum c : SpiderRotationEnum.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SpiderRotationEnum valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValueByte

          public java.lang.Byte getValueByte()

      Specified by:
        `getValueByte` in interface `JREnum`

    - #### getValue

          public final byte getValue()

      Specified by:
        `getValue` in interface `JREnum`

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `NamedEnum`

    - #### getRotation

          public final org.jfree.util.Rotation getRotation()

    - #### getByName

          public static SpiderRotationEnum getByName(java.lang.String name)

    - #### getByValue

          public static SpiderRotationEnum getByValue(org.jfree.util.Rotation rotation)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com